%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name gstreamer-plugins-base
%global mingw_build_win32 1
%global mingw_build_win64 1

%define         gstreamer       gstreamer
%define         majorminor      0.10
%define         gstreamer_version %{majorminor}.33

Name: 		mingw-gstreamer-plugins-base
Version: 	%{gstreamer_version}
Release:  	1%{?dist}
Summary: 	Cross compiled GStreamer media framework base plug-ins

Group: 		Applications/Multimedia
License: 	LGPLv2+
URL:		http://gstreamer.freedesktop.org/
Source:		http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw64-binutils
BuildRequires:  mingw32-gettext
BuildRequires:  mingw64-gettext
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw64-gcc-c++
BuildRequires:  pkgconfig

BuildRequires: 	mingw32-%{gstreamer} >= %{gstreamer_version}
BuildRequires: 	mingw64-%{gstreamer} >= %{gstreamer_version}
BuildRequires:  mingw32-libogg >= 1.0
BuildRequires:  mingw64-libogg >= 1.0
BuildRequires:  mingw32-libvorbis >= 1.0
BuildRequires:  mingw64-libvorbis >= 1.0
BuildRequires:  mingw32-libtheora >= 1.0
BuildRequires:  mingw64-libtheora >= 1.0
BuildRequires:  mingw32-orc >= 0.4.11
BuildRequires:  mingw64-orc >= 0.4.11
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw64-gtk2
BuildRequires:  mingw32-pango
BuildRequires:  mingw64-pango
#BuildRequires:  mingw32-libvisual

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.


# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}
Requires:       mingw32-gstreamer >= %{gstreamer_version}

%description  -n mingw32-%{mingw_pkg_name}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

%package -n mingw32-%{mingw_pkg_name}-static
Summary:        Static libraries for the GStreamer media framework base
Group:          Development/Libraries
Requires:       mingw32-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw32-%{mingw_pkg_name}-static
Static version of the cross compiled GStreamer media framework base plug-ins.

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}
Requires:       mingw64-gstreamer >= %{gstreamer_version}

%description -n mingw64-%{mingw_pkg_name}
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This package contains a set of well-maintained base plug-ins.

%package -n mingw64-%{mingw_pkg_name}-static
Summary:        Static libraries for the GStreamer base media framework
Group:          Development/Libraries
Requires:       mingw64-%{mingw_pkg_name} = %{version}-%{release}

%description -n mingw64-%{mingw_pkg_name}-static
Static version of the cross compiled GStreamer base media framework.


%prep
%setup -q -n gst-plugins-base-%{version}

%build
%mingw_configure "--with-package-name='Fedora Mingw gstreamer-plugins-base package'" "--with-package-origin='http://download.fedora.redhat.com/fedora'" "--enable-experimental" "--disable-gtk-doc" "--enable-orc" "--disable-gnome_vfs"

%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{mingw32_bindir}/gst-visualise*
rm -f $RPM_BUILD_ROOT%{mingw64_bindir}/gst-visualise*
rm -f $RPM_BUILD_ROOT%{mingw32_mandir}/man1/gst-visualise*
rm -f $RPM_BUILD_ROOT%{mingw64_mandir}/man1/gst-visualise*
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{mingw64_datadir}/gtk-doc

%find_lang %{mingw_pkg_name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name} -f %{mingw_pkg_name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw32_bindir}/gst-discoverer-0.10.exe
%{mingw32_bindir}/libgstapp-%{majorminor}-0.dll
%{mingw32_bindir}/libgstaudio-%{majorminor}-0.dll
%{mingw32_bindir}/libgstcdda-%{majorminor}-0.dll
%{mingw32_bindir}/libgstfft-%{majorminor}-0.dll
%{mingw32_bindir}/libgstinterfaces-%{majorminor}-0.dll
%{mingw32_bindir}/libgstnetbuffer-%{majorminor}-0.dll
%{mingw32_bindir}/libgstpbutils-%{majorminor}-0.dll
%{mingw32_bindir}/libgstriff-%{majorminor}-0.dll
%{mingw32_bindir}/libgstrtp-%{majorminor}-0.dll
%{mingw32_bindir}/libgstrtsp-%{majorminor}-0.dll
%{mingw32_bindir}/libgstsdp-%{majorminor}-0.dll
%{mingw32_bindir}/libgsttag-%{majorminor}-0.dll
%{mingw32_bindir}/libgstvideo-%{majorminor}-0.dll

# base plugins without external dependencies
#%{mingw32_libdir}/gstreamer-%{majorminor}/libgsttcp.dll
#%{mingw32_libdir}/gstreamer-%{majorminor}/libgstqueue2.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstadder.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstapp.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudiorate.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudioresample.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstdecodebin.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstencodebin.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstgdp.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstgio.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstplaybin.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstsubparse.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideorate.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideoscale.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvolume.dll

# base plugins with dependencies
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstogg.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstpango.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgsttheora.dll
%{mingw32_libdir}/gstreamer-%{majorminor}/libgstvorbis.dll

# %files devel
# plugin helper library headers
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/app
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/app/gstappbuffer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/app/gstappsink.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/app/gstappsrc.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/audio-enumtypes.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudioclock.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosink.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosrc.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosink.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosrc.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/gstringbuffer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/mixerutils.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/cdda
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/cdda/gstcddabasesrc.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/floatcast
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/fft
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/fft/gstfft*.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalance.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalancechannel.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/interfaces-enumtypes.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixeroptions.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixertrack.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/navigation.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/propertyprobe.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/streamvolume.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/tuner.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunerchannel.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunernorm.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/videoorientation.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/interfaces/xoverlay.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/netbuffer
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/netbuffer/gstnetbuffer.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/codec-utils.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/descriptions.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/encoding-profile.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/encoding-target.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/gstdiscoverer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/gstpluginsbaseversion.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/install-plugins.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/missing-plugins.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/pbutils-enumtypes.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/pbutils/pbutils.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/riff
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpaudiopayload.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpdepayload.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertppayload.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtcpbuffer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtpbuffer.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtppayloads.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsp-enumtypes.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspbase64.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspconnection.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspdefs.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspextension.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspmessage.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsprange.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsptransport.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspurl.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/sdp/
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/sdp/gstsdp.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/sdp/gstsdpmessage.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/tag
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/tag/gsttagdemux.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/tag/xmpwriter.h
%dir %{mingw32_includedir}/gstreamer-%{majorminor}/gst/video
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/video/gstvideofilter.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/video/gstvideosink.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/video/video-enumtypes.h
%{mingw32_includedir}/gstreamer-%{majorminor}/gst/video/video.h

%{mingw32_libdir}/libgstapp-%{majorminor}.dll.a
%{mingw32_libdir}/libgstaudio-%{majorminor}.dll.a
%{mingw32_libdir}/libgstcdda-%{majorminor}.dll.a
%{mingw32_libdir}/libgstfft-%{majorminor}.dll.a
%{mingw32_libdir}/libgstinterfaces-%{majorminor}.dll.a
%{mingw32_libdir}/libgstnetbuffer-%{majorminor}.dll.a
%{mingw32_libdir}/libgstpbutils-%{majorminor}.dll.a
%{mingw32_libdir}/libgstriff-%{majorminor}.dll.a
%{mingw32_libdir}/libgstrtp-%{majorminor}.dll.a
%{mingw32_libdir}/libgstrtsp-%{majorminor}.dll.a
%{mingw32_libdir}/libgstsdp-%{majorminor}.dll.a
%{mingw32_libdir}/libgsttag-%{majorminor}.dll.a
%{mingw32_libdir}/libgstvideo-%{majorminor}.dll.a

%{mingw32_libdir}/libgstapp-%{majorminor}.la
%{mingw32_libdir}/libgstaudio-%{majorminor}.la
%{mingw32_libdir}/libgstcdda-%{majorminor}.la
%{mingw32_libdir}/libgstfft-%{majorminor}.la
%{mingw32_libdir}/libgstinterfaces-%{majorminor}.la
%{mingw32_libdir}/libgstnetbuffer-%{majorminor}.la
%{mingw32_libdir}/libgstpbutils-%{majorminor}.la
%{mingw32_libdir}/libgstriff-%{majorminor}.la
%{mingw32_libdir}/libgstrtp-%{majorminor}.la
%{mingw32_libdir}/libgstrtsp-%{majorminor}.la
%{mingw32_libdir}/libgstsdp-%{majorminor}.la
%{mingw32_libdir}/libgsttag-%{majorminor}.la
%{mingw32_libdir}/libgstvideo-%{majorminor}.la

# pkg-config files
%{mingw32_libdir}/pkgconfig/*.pc

%files -n mingw32-%{mingw_pkg_name}-static
%defattr(-, root, root)
# don't know why we don't have gstapp-0.10.a
%{mingw32_libdir}/libgstaudio-%{majorminor}.a
%{mingw32_libdir}/libgstcdda-%{majorminor}.a
%{mingw32_libdir}/libgstfft-%{majorminor}.a
%{mingw32_libdir}/libgstinterfaces-%{majorminor}.a
%{mingw32_libdir}/libgstnetbuffer-%{majorminor}.a
%{mingw32_libdir}/libgstpbutils-%{majorminor}.a
%{mingw32_libdir}/libgstriff-%{majorminor}.a
%{mingw32_libdir}/libgstrtp-%{majorminor}.a
%{mingw32_libdir}/libgstrtsp-%{majorminor}.a
%{mingw32_libdir}/libgstsdp-%{majorminor}.a
%{mingw32_libdir}/libgsttag-%{majorminor}.a
%{mingw32_libdir}/libgstvideo-%{majorminor}.a

# Mingw64
%files -n mingw64-%{mingw_pkg_name} -f %{mingw_pkg_name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# libraries
%{mingw64_bindir}/gst-discoverer-0.10.exe
%{mingw64_bindir}/libgstapp-%{majorminor}-0.dll
%{mingw64_bindir}/libgstaudio-%{majorminor}-0.dll
%{mingw64_bindir}/libgstcdda-%{majorminor}-0.dll
%{mingw64_bindir}/libgstfft-%{majorminor}-0.dll
%{mingw64_bindir}/libgstinterfaces-%{majorminor}-0.dll
%{mingw64_bindir}/libgstnetbuffer-%{majorminor}-0.dll
%{mingw64_bindir}/libgstpbutils-%{majorminor}-0.dll
%{mingw64_bindir}/libgstriff-%{majorminor}-0.dll
%{mingw64_bindir}/libgstrtp-%{majorminor}-0.dll
%{mingw64_bindir}/libgstrtsp-%{majorminor}-0.dll
%{mingw64_bindir}/libgstsdp-%{majorminor}-0.dll
%{mingw64_bindir}/libgsttag-%{majorminor}-0.dll
%{mingw64_bindir}/libgstvideo-%{majorminor}-0.dll

# base plugins without external dependencies
#%{mingw64_libdir}/gstreamer-%{majorminor}/libgsttcp.dll
#%{mingw64_libdir}/gstreamer-%{majorminor}/libgstqueue2.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstadder.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstapp.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudioconvert.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudiorate.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudioresample.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstaudiotestsrc.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstdecodebin.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstdecodebin2.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstencodebin.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstffmpegcolorspace.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstgdp.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstgio.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstplaybin.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstsubparse.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgsttypefindfunctions.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideorate.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideoscale.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvideotestsrc.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvolume.dll

# base plugins with dependencies
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstogg.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstpango.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgsttheora.dll
%{mingw64_libdir}/gstreamer-%{majorminor}/libgstvorbis.dll

# %files devel
# plugin helper library headers
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/app
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/app/gstappbuffer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/app/gstappsink.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/app/gstappsrc.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/audio-enumtypes.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/audio.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudioclock.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiofilter.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosink.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstaudiosrc.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosink.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstbaseaudiosrc.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/gstringbuffer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/mixerutils.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/audio/multichannel.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/cdda
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/cdda/gstcddabasesrc.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/floatcast
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/floatcast/floatcast.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/fft
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/fft/gstfft*.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalance.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/colorbalancechannel.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/interfaces-enumtypes.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixeroptions.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/mixertrack.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/navigation.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/propertyprobe.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/streamvolume.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/tuner.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunerchannel.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/tunernorm.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/videoorientation.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/interfaces/xoverlay.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/netbuffer
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/netbuffer/gstnetbuffer.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/codec-utils.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/descriptions.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/encoding-profile.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/encoding-target.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/gstdiscoverer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/gstpluginsbaseversion.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/install-plugins.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/missing-plugins.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/pbutils-enumtypes.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/pbutils/pbutils.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/riff
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/riff/riff-ids.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/riff/riff-media.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/riff/riff-read.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpaudiopayload.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertpdepayload.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstbasertppayload.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtcpbuffer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtpbuffer.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtp/gstrtppayloads.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsp-enumtypes.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspbase64.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspconnection.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspdefs.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspextension.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspmessage.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsprange.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtsptransport.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/rtsp/gstrtspurl.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/sdp/
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/sdp/gstsdp.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/sdp/gstsdpmessage.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/tag
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/tag/gsttagdemux.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/tag/tag.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/tag/xmpwriter.h
%dir %{mingw64_includedir}/gstreamer-%{majorminor}/gst/video
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/video/gstvideofilter.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/video/gstvideosink.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/video/video-enumtypes.h
%{mingw64_includedir}/gstreamer-%{majorminor}/gst/video/video.h

%{mingw64_libdir}/libgstapp-%{majorminor}.dll.a
%{mingw64_libdir}/libgstaudio-%{majorminor}.dll.a
%{mingw64_libdir}/libgstcdda-%{majorminor}.dll.a
%{mingw64_libdir}/libgstfft-%{majorminor}.dll.a
%{mingw64_libdir}/libgstinterfaces-%{majorminor}.dll.a
%{mingw64_libdir}/libgstnetbuffer-%{majorminor}.dll.a
%{mingw64_libdir}/libgstpbutils-%{majorminor}.dll.a
%{mingw64_libdir}/libgstriff-%{majorminor}.dll.a
%{mingw64_libdir}/libgstrtp-%{majorminor}.dll.a
%{mingw64_libdir}/libgstrtsp-%{majorminor}.dll.a
%{mingw64_libdir}/libgstsdp-%{majorminor}.dll.a
%{mingw64_libdir}/libgsttag-%{majorminor}.dll.a
%{mingw64_libdir}/libgstvideo-%{majorminor}.dll.a

%{mingw64_libdir}/libgstapp-%{majorminor}.la
%{mingw64_libdir}/libgstaudio-%{majorminor}.la
%{mingw64_libdir}/libgstcdda-%{majorminor}.la
%{mingw64_libdir}/libgstfft-%{majorminor}.la
%{mingw64_libdir}/libgstinterfaces-%{majorminor}.la
%{mingw64_libdir}/libgstnetbuffer-%{majorminor}.la
%{mingw64_libdir}/libgstpbutils-%{majorminor}.la
%{mingw64_libdir}/libgstriff-%{majorminor}.la
%{mingw64_libdir}/libgstrtp-%{majorminor}.la
%{mingw64_libdir}/libgstrtsp-%{majorminor}.la
%{mingw64_libdir}/libgstsdp-%{majorminor}.la
%{mingw64_libdir}/libgsttag-%{majorminor}.la
%{mingw64_libdir}/libgstvideo-%{majorminor}.la

# pkg-config files
%{mingw64_libdir}/pkgconfig/*.pc

%files -n mingw64-%{mingw_pkg_name}-static
%defattr(-, root, root)
# don't know why we don't have gstapp-0.10.a
%{mingw64_libdir}/libgstaudio-%{majorminor}.a
%{mingw64_libdir}/libgstcdda-%{majorminor}.a
%{mingw64_libdir}/libgstfft-%{majorminor}.a
%{mingw64_libdir}/libgstinterfaces-%{majorminor}.a
%{mingw64_libdir}/libgstnetbuffer-%{majorminor}.a
%{mingw64_libdir}/libgstpbutils-%{majorminor}.a
%{mingw64_libdir}/libgstriff-%{majorminor}.a
%{mingw64_libdir}/libgstrtp-%{majorminor}.a
%{mingw64_libdir}/libgstrtsp-%{majorminor}.a
%{mingw64_libdir}/libgstsdp-%{majorminor}.a
%{mingw64_libdir}/libgsttag-%{majorminor}.a
%{mingw64_libdir}/libgstvideo-%{majorminor}.a


%changelog
* Sat May 14 2011 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.33-1
- Updated to 0.10.33
- Updated to newer mingw instructions (with mingw64 support)

* Wed Dec 29 2010 - Marc-André Lureau <marcandre.lureau@redhat.com> - 0.10.31-1
- Build with mingw32
